Page MenuHomePhabricator

Allow resetting of NumCreatedFIDsForFileID
ClosedPublic

Authored by v.g.vassilev on Aug 27 2018, 4:48 AM.

Details

Summary

Our internal clients implement parsing cache based on FileID. In order for the Preprocessor to reenter the cached FileID it needs to reset its NumCreatedFIDsForFileID.

Alternatively we can simply remove the assert ;)

Diff Detail

Repository
rC Clang

Event Timeline

v.g.vassilev created this revision.Aug 27 2018, 4:48 AM
akyrtzi accepted this revision.Aug 28 2018, 5:18 PM
This revision is now accepted and ready to land.Aug 28 2018, 5:18 PM
Closed by commit rC347304: Allow force updating the NumCreatedFIDsForFileID. (authored by vvassilev, committed by ). · Explain WhyNov 20 2018, 5:56 AM
This revision was automatically updated to reflect the committed changes.